Bug 1212826 - Reboot/Shutdown buttons does not work on aarch64
Summary: Reboot/Shutdown buttons does not work on aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 23
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2015-04-17 12:10 UTC by Marcin Juszkiewicz
Modified: 2015-12-31 00:55 UTC (History)
4 users (show)

Fixed In Version: virt-manager-1.3.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-31 00:55:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Marcin Juszkiewicz 2015-04-17 12:10:55 UTC
Description of problem:

I am running Fedora 22 VM on Fedora 22 host (APM Mustang AArch64). But can not reboot nor shutdown from UI - have to login and run commands.

Version-Release number of selected component (if applicable):

1.1.0-7

How reproducible:

always

Steps to Reproduce:
1. run virt-manager on aarch64
2. create vm
3. run vm
4. press reboot or shutdown button

Actual results:

nothing happens

Expected results:

VM reboots after pressing reboot button
VM shuts down after pressing shutdown button

Additional info:

Comment 1 Cole Robinson 2015-04-21 15:30:50 UTC
I'll need to see if qemu-guest-agent is even getting invoked

Comment 2 Jonathan Wakely 2015-10-08 11:05:01 UTC
I'm seeing this on a 32-bit ARM guest too (on a x86_64 host, using F22 for both guest and host).

Also, running /sbin/poweroff doesn't shutdown, it reboots. The serial console shows:


[  OK  ] Reached target Shutdown.
[  518.705166] systemd-shutdown[1]: Sending SIGTERM to remaining processes...
[  518.887199] systemd-journald[386]: Received SIGTERM from PID 1 (systemd-shutdow).
[  519.437738] systemd-shutdown[1]: Sending SIGKILL to remaining processes...
[  519.542904] systemd-shutdown[1]: Unmounting file systems.
[  519.750273] EXT4-fs (sda3): re-mounted. Opts: (null)
[  519.777843] EXT4-fs (sda3): re-mounted. Opts: (null)
[  519.779322] systemd-shutdown[1]: All filesystems unmounted.
[  519.779799] systemd-shutdown[1]: Deactivating swaps.
[  519.781378] systemd-shutdown[1]: All swaps deactivated.
[  519.781672] systemd-shutdown[1]: Detaching loop devices.
[  519.793547] systemd-shutdown[1]: All loop devices detached.
[  519.794480] systemd-shutdown[1]: Detaching DM devices.
[  519.796610] systemd-shutdown[1]: All DM devices detached.
[  520.251900] systemd-shutdown[1]: Powering off.
[  520.280523] sd 0:0:0:0: [sda] Synchronizing SCSI cache
[  520.291175] reboot: Power down
[    0.000000] Booting Linux on physical CPU 0x0
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 4.0.4-301.fc22.armv7hl (mockbuild@arm04-builder04.arm.fedoraproject.org) (gcc version 5.1.1 20150422 (Red Hat 5.1.1-1) (GCC) ) #1 SMP Thu May 21 14:37:41 UTC 2015
[    0.000000] CPU: ARMv7 Processor [412fc0f1] revision 1 (ARMv7), cr=10c5387d
[    0.000000] CPU: PIPT / VIPT nonaliasing data cache, PIPT instruction cache
[    0.000000] Machine model: linux,dummy-virt


I have to use the virt-manager 'Force Off' button to kill it.

Comment 3 Cole Robinson 2015-11-25 02:37:55 UTC
virt-manager will add a qemu-guest-agent virtio-serial channel for arm/aarch64 -M virt now, so if qemu-guest-agent is installed shutdown/reboot from virt-manager will work correctly. that's the best we can do

commit e13f81a7c52e75a174a5e5f2bebbf615bed7f91e
Author: Cole Robinson <crobinso@redhat.com>
Date:   Tue Nov 24 19:39:19 2015 -0500

    guest: Add qemu-ga virtio channel for arm

Comment 4 Fedora Update System 2015-11-25 20:09:58 UTC
virt-manager-1.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7dfc5692ef

Comment 5 Fedora Update System 2015-11-26 23:50:43 UTC
virt-manager-1.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update virt-manager'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7dfc5692ef

Comment 6 Fedora Update System 2015-12-07 01:08:05 UTC
virt-manager-1.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6cf48609ca

Comment 7 Fedora Update System 2015-12-08 04:32:35 UTC
virt-manager-1.3.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update virt-manager'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6cf48609ca

Comment 8 Fedora Update System 2015-12-24 19:03:17 UTC
virt-manager-1.3.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-237e1d49a8

Comment 9 Fedora Update System 2015-12-29 00:57:15 UTC
virt-manager-1.3.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-237e1d49a8

Comment 10 Fedora Update System 2015-12-31 00:54:44 UTC
virt-manager-1.3.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.